Paycose Docs
Charge
GET/charges

List

List all charges.

Supports page-based and cursor-based pagination.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/charges/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[amount]=&filter[canceled]=&filter[canceled_at]=&filter[capture_method]=&filter[captured]=&filter[created_at]=&filter[currency]=&filter[customer_id]=&filter[destination]=&filter[dispute_status]=&filter[disputed]=&filter[expires_at]=&filter[failure_code]=&filter[failure_reason]=&filter[id]=&filter[invoice_id]=&filter[labels]=&filter[net_amount]=&filter[number]=&filter[paid]=&filter[payment_intent_id]=&filter[payment_method_id]=&filter[payment_method_type]=&filter[provider_id]=&filter[reason_source]=&filter[refunded]=&filter[settlement_status]=&filter[status]=&filter[transfer_group]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": "<RFC3339 timestamp>",
      "updated_at": "<RFC3339 timestamp>",
      "status": "<string>",
      "customer_id": "<string>",
      "payment_method_id": "<string>",
      "payment_intent": "<string>",
      "amount": 0,
      "application_fee_amount": 0,
      "application_tax_amount": 0,
      "net_amount": 0,
      "application": "<string>",
      "application_fee": "<string>",
      "transfer": "<string>",
      "on_behalf_of": "<string>",
      "transfer_group": "<string>",
      "amount_refunded": 0,
      "amount_captured": 0,
      "amount_capturable": 0,
      "amount_voided": 0,
      "currency": "<string>",
      "scaling_factor": 0,
      "paid": false,
      "canceled": false,
      "refunded": false,
      "captured": false,
      "capture_method": "<string>",
      "settlement_status": "<string>",
      "failure_reason": "<string>",
      "failure_code": "<string>",
      "failure_message": "<string>",
      "reason_source": "<string>",
      "expires_at": "<RFC3339 timestamp>",
      "canceled_at": "<RFC3339 timestamp>",
      "disputed": false,
      "dispute_id": "<string>",
      "dispute_status": "<string>",
      "dispute_reason": "<string>",
      "dispute_amount": 0,
      "transfer_data": {
        "destination": "<string>",
        "amount": 0,
        "balance_id": "<string>"
      },
      "provider": "<string>",
      "plane": "<string>",
      "gateway_fee_amount": 0,
      "credit_covered_fee_amount": 0,
      "provider_fee_amount": 0,
      "payable_amount": 0,
      "reference_id": "<string>",
      "metadata": {},
      "labels": "<core.Labels>",
      "next_action": [
        {
          "type": "<string>",
          "title": "<string>",
          "description": "<string>",
          "i18n_key": "<string>",
          "url": "<string>",
          "client_secret": "<string>",
          "payment_method": "<string>",
          "qr_data": "<string>"
        }
      ],
      "promptpay": {
        "raw": "<string>",
        "image": "<string>",
        "ref1": "<string>",
        "ref2": "<string>",
        "ref3": "<string>",
        "expires_at": "<RFC3339 timestamp>"
      },
      "installment": {
        "term": 0,
        "issuer": "<string>",
        "card_face_id": "<string>",
        "interest_amount": 0,
        "absorption": "<string>",
        "monthly_amount": 0,
        "first_amount": 0
      },
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      },
      "invoice": null,
      "payment_method": {
        "id": "<string>",
        "type": "<string>",
        "brand": "<string>",
        "issuer": "<string>",
        "last4": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "customer_id": "<string>",
        "card_holder_name": "<string>",
        "fingerprint": "<string>",
        "exp_month": 0,
        "exp_year": 0,
        "card": {
          "brand": "<string>",
          "issuer": "<string>",
          "last4": "<string>",
          "exp_month": 0,
          "exp_year": 0
        },
        "billing_details": {},
        "allow_redisplay": "<string>",
        "reference_id": "<string>",
        "provider": "<string>",
        "metadata": {},
        "labels": "<core.Labels>",
        "customer": {
          "id": "<string>",
          "object": "<string>",
          "livemode": false,
          "created_at": null,
          "updated_at": null,
          "name": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          },
          "shipping": {
            "name": "<string>",
            "phone": "<string>",
            "address": {
              "city": "<string>",
              "country": "<string>",
              "line1": "<string>",
              "line2": "<string>",
              "postal_code": "<string>",
              "state": "<string>"
            }
          },
          "is_system": false,
          "is_application_customer": false,
          "capabilities": {
            "charge": false,
            "transfer": false,
            "payout": false
          },
          "tax_ids": [
            {
              "type": "<string>",
              "value": "<string>",
              "country": "<string>",
              "verification_status": "<string>"
            }
          ],
          "metadata": {},
          "labels": "<core.Labels>",
          "invoice_settings": {},
          "tax_exempt": "<string>",
          "preferred_locales": [
            "<string>"
          ],
          "business_name": "<string>",
          "currency": "<string>"
        },
        "provider_connection_status": "<string>",
        "needs_recollection": false
      },
      "balance": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "customer_id": "<string>",
        "account": "<string>",
        "currency": "<string>",
        "name": "<string>",
        "available": 0,
        "hold": 0,
        "scaling_factor": 0,
        "description": "<string>",
        "customer": {
          "id": "<string>",
          "object": "<string>",
          "livemode": false,
          "created_at": null,
          "updated_at": null,
          "name": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          },
          "shipping": {
            "name": "<string>",
            "phone": "<string>",
            "address": {
              "city": "<string>",
              "country": "<string>",
              "line1": "<string>",
              "line2": "<string>",
              "postal_code": "<string>",
              "state": "<string>"
            }
          },
          "is_system": false,
          "is_application_customer": false,
          "capabilities": {
            "charge": false,
            "transfer": false,
            "payout": false
          },
          "tax_ids": [
            {
              "type": "<string>",
              "value": "<string>",
              "country": "<string>",
              "verification_status": "<string>"
            }
          ],
          "metadata": {},
          "labels": "<core.Labels>",
          "invoice_settings": {},
          "tax_exempt": "<string>",
          "preferred_locales": [
            "<string>"
          ],
          "business_name": "<string>",
          "currency": "<string>"
        }
      }
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page